# $Id$

use Test::More tests => 6;
use ObsData::Archive;
use File::Temp qw(tempdir);

my $tempdir = tempdir;

my $oa = ObsData::Archive->new('testdata/coin.gz');

isa_ok($oa, 'ObsData::Archive::Compressed');
my ($list) = $oa->ls;
ok($list eq 'coin', "Can list its contents");

ok($oa->extract('coin', "$tempdir/coin"), "Can extract the file");
ok(-r "$tempdir/coin", "the file has been really extract");

$oa = ObsData::Archive->new('testdata/wrongcoin.gz');
ok(!$oa->extract('wrongcoin', "$tempdir/coin"), "Get an error if extraction failed");
ok($oa->error, "Can get error");

system(qw(rm -fr), $tempdir);
